Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 312651 - Firefox 3.5.5 issue tracking bug (CVE-2009-3978)
Summary: Firefox 3.5.5 issue tracking bug (CVE-2009-3978)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-01 16:04 UTC by Alex Legler (RETIRED)
Modified: 2013-01-08 01:04 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-04-01 16:04:04 UTC
Firefox 3.5.5 issue tracking bug
Comment 1 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-04-01 16:04:49 UTC
CVE-2009-3978 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2009-3978):
  The nsGIFDecoder2::GifWrite function in
  decoders/gif/nsGIFDecoder2.cpp in libpr0n in Mozilla Firefox before
  3.5.5 allows remote attackers to cause a denial of service (NULL
  pointer dereference and application crash) via an animated GIF file
  with a large image size, a different vulnerability than CVE-2009-3373.

Comment 2 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2011-01-10 12:38:00 UTC
It seems no vulnerable versions are in the tree. Should we make the decision about GLSA for users who might still have it installed?
Comment 3 Stefan Behte (RETIRED) gentoo-dev Security 2011-10-08 22:02:10 UTC
Added to pending GLSA request.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2013-01-08 01:04:06 UTC
This issue was resolved and addressed in
 GLSA 201301-01 at http://security.gentoo.org/glsa/glsa-201301-01.xml
by GLSA coordinator Sean Amoss (ackle).